.DEFAULT_GOAL := all

build: clean
	go build .

dev: build

run:
	./oc-monitord

clean:
	rm -rf oc-monitord

docker:
	DOCKER_BUILDKIT=1 docker build -t oc/oc-monitord:0.0.1 -f Dockerfile .
	docker tag oc/oc-monitord:0.0.1 oc/oc-monitord:latest
	docker tag oc/oc-monitord:0.0.1 oc-monitord:latest

publish-kind:
	kind load docker-image oc/oc-monitord:0.0.1 --name opencloud

publish-registry:
	@echo "TODO"

all: docker publish-kind publish-registry

.PHONY: build run clean docker publish-kind publish-registry
